package at.jku.ssw.set;

/**
 * A set of {@linkplain Comparable} objects.
 */
public abstract class Set {

	/**
	 * Adds the specified value to this set if it is not already present.
	 */
	public abstract void add(int value);

	/**
	 * Returns <code>true</code> if this set contains the specified object,
	 * otherwise <code>false</code>.
	 */
	public abstract boolean contains(int value);

	/**
	 * Removes the specified value from this set if it is present.
	 *
	 * @return <code>true</code> if the set contained the specified value,
	 *         <code>false</code> otherwise.
	 */
	public abstract boolean remove(int value);

	/**
	 * Returns the number of objects in this set.
	 */
	public abstract int size();

}